Page MenuHomePhabricator

LivePreview: Since 1.25wmf12 in 'section=new' mode the section header is not shown
Closed, ResolvedPublic

Description

Steps to reproduce:

Expected Result: The section header should be also shown when using LivePreview.

Event Timeline

Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa changed Security from none to None.
Ricordisamoa added a subscriber: Ricordisamoa.
Fomafix updated the task description. (Show Details)Dec 18 2014, 3:30 PM
Fomafix added a subscriber: Fomafix.
Aklapper triaged this task as Normal priority.Dec 19 2014, 3:42 PM
Ltrlg added a subscriber: Ltrlg.Mar 7 2015, 5:01 PM
TheDJ added a subscriber: TheDJ.Mar 9 2015, 2:16 PM

The problem is that the api preview result is different from the Preview action. It seems the API does not insert the title into the wikitext, to be parsed and only shows the edit summary preview.

We should probably add the "section=new" option to the parse api, as we have in the edit api...
Alternatively, we can just hardcode it in the live preview module, but that doesn't seem long term sustainable to me, especially with the new link anchor, and possibility of moving from <h2> to a div/header wrapped h2.

Change 195695 had a related patch set uploaded (by TheDJ):
ApiParse: Support previewing section=new

https://gerrit.wikimedia.org/r/195695

Change 196443 had a related patch set uploaded (by TheDJ):
LivePreview: Support section=new for preview

https://gerrit.wikimedia.org/r/196443

Change 195695 merged by jenkins-bot:
ApiParse: Support previewing section=new

https://gerrit.wikimedia.org/r/195695

Change 198092 had a related patch set uploaded (by TheDJ):
ApiParse: Fix parse of new section title

https://gerrit.wikimedia.org/r/198092

TheDJ claimed this task.Mar 20 2015, 7:14 AM

Change 196443 merged by TheDJ:
LivePreview: Support section=new for preview

https://gerrit.wikimedia.org/r/196443

Change 198092 merged by jenkins-bot:
ApiParse: Fix parse of new section title

https://gerrit.wikimedia.org/r/198092

TheDJ closed this task as Resolved.Mar 27 2015, 6:41 PM